Earlier this week I upgraded our primary servers from 11.2.3a to 11.2.4. This has created a few random issues that appear to be fixed with MU1.
At the moment I haven't upgraded our satellite servers so they are still on 11.2.3a, and I want to check something before I continue.

Do I need to update the satellites to 11.2.4 before I install MU1 onto the primaries, or can I update the two primary servers and then upgrade the satellites straight to MU1??